<!--

waJSQuery(function(){
var qhxAs=waJSQuery(".waDynmenu-root");
qhxAs.each(function(){
waJSQuery(this).css("cursor","pointer")
}) 
var fqEGk=waJSQuery(".waDynmenu-item");
fqEGk.each(function(){
if(isMSIE())
{
waJSQuery(this).css("background","url(wa_transparent.gif)")
}
})
fqEGk.hover(function(){
var Moidi=waJSQuery(this).attr("class");
var tCkgU;
var jVStV=splitClassParameters(Moidi,'[',']')
if(jVStV['param']!=undefined)
{
tCkgU=wa_evaluate("["+jVStV['param']+"]");
waDynMenuOver(waJSQuery(this),tCkgU);
}
else
{
waDynMenuOver(waJSQuery(this));
}
},function(){
})
});
function tBEsg()
{
return waJSQuery("#dynmenu-container");
}
function waGetJsonCss(FFPOm,erfda)
{
var SPNnN=FmawL(FFPOm,erfda)
SPNnN=SPNnN.replace(/''/g,"\"")
return waJSQuery.parseJSON(SPNnN)
}
function FmawL(FFPOm,erfda)
{
var Moidi=FFPOm.attr("class");
if(Moidi==undefined) return "" 
var ZluMR="json['"+erfda+"']"
var faigv=Moidi.indexOf(ZluMR)
if(faigv>-1)
{
faigv=faigv+ZluMR.length
var fOOWQ=0;
var nGmtw=false;
for(var i=faigv;i<Moidi.length;i++)
{
var WPiGr=Moidi.charAt(i)
if(WPiGr=="{")
{
if(nGmtw==false)
{
nGmtw=true;
}
fOOWQ++;
}
if(WPiGr=="}")
{
fOOWQ--;
if(nGmtw&&(fOOWQ==0))
{
return Moidi.substring(faigv,i+1)
}
}
}
}
return "";
}
function nHKIL(FFPOm)
{
var i=0;
var SUDkX=FFPOm
var KenHL=null;
do
{
KenHL=null;
var HiKkV=SUDkX.parents(".wa-menu-div")
if(HiKkV.length==1)
{
KenHL=HiKkV.data("menu-item-parent")
}
if((KenHL!=null)&&(KenHL.length>0))
{
SUDkX=KenHL;
}
i++}
while((KenHL!=null)&&(KenHL.length>0))
return SUDkX
}
function CwQkY(FFPOm)
{
var ZXwrT=FFPOm.parents(".wa-dynmenu")
var ggQnL=null
if(ZXwrT.length==1)
{
ggQnL=waGetJsonCss(ZXwrT,"config");
}
if(ggQnL==null)
{
var rngHD=nHKIL(FFPOm)
ZXwrT=rngHD.parents(".wa-dynmenu")
ggQnL=waGetJsonCss(ZXwrT,"config");
}
return ggQnL;
}
function waDynMenuOver(FFPOm,EDnSL)
{
var FRrQR=tBEsg()
var ggQnL=CwQkY(FFPOm)
var EtPEs=(EDnSL!=undefined)
if(EtPEs)
{
var NgeME=FFPOm.data("menu-builded")
if(NgeME!=true)
{
FFPOm.data("menu-builded",true)
var EiZHZ=FRrQR.data("index-menu")
if(EiZHZ==undefined)
{
EiZHZ=0;
}
else
{
EiZHZ++;
}
FRrQR.data("index-menu",EiZHZ)
var imIbF="root"
sKFhB(FFPOm,ggQnL,EiZHZ,true,EDnSL)
QTHFi(FFPOm,ggQnL,EiZHZ,null,EDnSL);
}
}
else
{
imXfh(FFPOm)
}
var VfaBZ=FRrQR.data("current-raised-obj-menu")
if(VfaBZ!=undefined)
{
peABq(VfaBZ,true)
}
var HiKkV=FFPOm.data("obj-menu")
FRrQR.data("current-raised-obj-menu",HiKkV) 
qThQl(FFPOm)
}
function fnCxO(FFPOm)
{
var mpwqP=FFPOm.parents(".wa-menu-div")
if(mpwqP.length>0)
{
return mpwqP;
}
var qCtxt=FFPOm.data("menu-item-parent")
if(qCtxt!=undefined)
{
var mpwqP=qCtxt.parents(".wa-menu-div")
if(mpwqP.length>0)
{
return mpwqP;
}
}
return null
}
function mUCRP()
{
return 0-document.webaca_banner_height
}
function qThQl(FFPOm)
{
var ggQnL=CwQkY(FFPOm)
var xgSAW=0;
if(document.webaca_page_is_centered)
{
if(waJSQuery(window).width()>document.webaca_width_page)
{
xgSAW=(waJSQuery(window).width()-document.webaca_width_page)/2
}
}
var mpwqP=FFPOm.parents(".wa-menu-div")
var arKkW=(mpwqP.length==0) 
var AHjBr=FFPOm.find("a")
if(AHjBr.length==0)
{
AHjBr=FFPOm
}
var iYnYE=FFPOm.data("cssInitialized")
if(iYnYE!=true)
{
FFPOm.data("cssInitialized",true)
var mbqLH={
color:AHjBr.css("color"),"text-decoration":AHjBr.css("text-decoration")
}
var QXhEx={
backgroundColor:FFPOm.css("backgroundColor")
}
FFPOm.data("oldCssHref",mbqLH)
FFPOm.data("oldCss",QXhEx)
}

if(arKkW)
{
AHjBr.css("color",ggQnL.root_col_text_over)
AHjBr.css("text-decoration",(ggQnL.root_text_u_over)?"underline":"none")
FFPOm.css("backgroundColor",compliantColor(ggQnL.root_col_bg_over))
if(false)
{
if(FFPOm.position().left==0)
{
FFPOm.css({borderLeft:"1px solid "+ggQnL.root_col_border})
}
FFPOm.css({borderTop:"1px solid "+ggQnL.root_col_border})
FFPOm.css({borderBottom:"1px solid "+ggQnL.root_col_border})
}
}
else
{
AHjBr.css("color",ggQnL.sub_col_text_over)
AHjBr.css("text-decoration",(ggQnL.sub_text_u_over)?"underline":"none")
FFPOm.css("backgroundColor",compliantColor(ggQnL.sub_col_bg_over))
}



var HiKkV=FFPOm.data("obj-menu")
YNOxe(mpwqP)
YNOxe(HiKkV) 
{
if(mpwqP.length>0)
{
var RVAmo=mpwqP.data("current-sub-obj-menu")
if(RVAmo!=null)
{
peABq(RVAmo,true)
}
mpwqP.data("current-sub-obj-menu",HiKkV)
}
}
if(HiKkV!=undefined)
{
var wwAal=0;
var nZdrq=0;
if(arKkW)
{
if(ggQnL.vertical)
{
var ZXwrT=FFPOm.parents(".wa-dynmenu")
wwAal=FFPOm.offset().left+ZXwrT.outerWidth(true)-xgSAW;
nZdrq=FFPOm.offset().top;
}
else
{
wwAal=FFPOm.offset().left-xgSAW;
nZdrq=FFPOm.offset().top+FFPOm.height()+3;
}
}
else
{
var FSugS=fnCxO(FFPOm)
wwAal=FSugS.offset().left+FSugS.outerWidth(true)-xgSAW;
nZdrq=FFPOm.offset().top;
}
var lEiUJ=10;
wwAal=Math.max(wwAal,waJSQuery(window).scrollLeft())
wwAal=Math.min(wwAal,waJSQuery(window).scrollLeft()+waJSQuery(window).width()-HiKkV.width()-lEiUJ)
nZdrq=Math.min(nZdrq,waJSQuery(window).scrollTop()+waJSQuery(window).height()-HiKkV.height()-lEiUJ)
nZdrq=Math.max(nZdrq,waJSQuery(window).scrollTop())
nZdrq+=mUCRP()
HiKkV.stop(true,true).fadeIn();
HiKkV.css({"left":wwAal,"top":nZdrq})
}
}
function oohqX(FFPOm)
{
var AHjBr=FFPOm.find("a")
if(AHjBr.length==0)
{
AHjBr=FFPOm
}
var QXhEx=FFPOm.data("oldCss")
var mbqLH=FFPOm.data("oldCssHref")
AHjBr.css(mbqLH)
FFPOm.css(QXhEx)
var HiKkV=FFPOm.data("obj-menu")
var mpwqP=FFPOm.parents(".wa-menu-div") 
rrsTD(mpwqP)
if(mpwqP.length==0)
{
rrsTD(HiKkV)
}
}
function YNOxe(HiKkV)
{
if(HiKkV==undefined) return;
if(HiKkV.length>0)
{
var WSeMi=HiKkV.data("timer-menu-out")
clearTimeout(WSeMi)
HiKkV.show();
}
var mpwqP=fnCxO(HiKkV)
YNOxe(mpwqP)
}
function peABq(HiKkV,JcqKc)
{
var kjYhq=HiKkV.children(".wa-menu-item-div")
kjYhq.each(function(){
var mpwqP=waJSQuery(this).data("obj-menu")
if(mpwqP!=null)
mpwqP.stop(true,true).fadeOut();
})
if(JcqKc)
{
HiKkV.hide();
}
else
{
HiKkV.stop(true,true).fadeOut();
}
}
function rrsTD(HiKkV)
{
if(HiKkV==undefined) return;
if(HiKkV.length==0) return;
var ZpgqR=600;
if(HiKkV.length>0)
{
var WSeMi=wa_timeout(function()
{
peABq(HiKkV)
},ZpgqR)
HiKkV.data("timer-menu-out",WSeMi)
}
var mpwqP=fnCxO(HiKkV)
rrsTD(mpwqP)
}
function rGViC(TelYE)
{
return FFPOm.parents(".wa-menu-div");
}
function sKFhB(FFPOm,ggQnL,EiZHZ,arKkW,EDnSL)
{
var FRrQR=tBEsg()
var ClGwM=FRrQR.data("id-menu")
if(ClGwM==undefined)
{
ClGwM=0;
FRrQR.data("id-menu",ClGwM)
}
if(arKkW)
{
FFPOm.data("id-menu",ClGwM)
}
var xpQZw="";
var DhrpV="wa-sub-menu-"+EiZHZ+"-"+ClGwM
xpQZw+="<div class='wa-menu-div' id='"+DhrpV+"' style='position:absolute;left:0px;top:0px;width:1000px;text-align:"+ggQnL.sub_align_text+";background-color:"+compliantColor(ggQnL.sub_col_bg)+";";
xpQZw+="z-index:"+ClGwM+";"
if(ggQnL.sub_menu_shadow)
{
xpQZw+="-webkit-box-shadow: 1px 1px 12px #555555;-moz-box-shadow:1px 1px 12px #555555; box-shadow:1px 1px 12px #555555; ;";
}
xpQZw+="padding-top:3px;padding-bottom:3px;;" 
xpQZw+="border:1px solid "+ggQnL.sub_col_border+";' >" 
for(var i=0;i<EDnSL.length;i++)
{
var pvgLP=EDnSL[i] 
var reXlX=""
var aZtbW=(pvgLP.length>1)
if(aZtbW)
{
ClGwM=FRrQR.data("id-menu")
ClGwM++;
FRrQR.data("id-menu",ClGwM)
}
if(pvgLP.length>0)
{
var XHJwv=pvgLP[0]
var BBkxp=XHJwv[0]
var CArrW=XHJwv[1]
var JhaoX=XHJwv[2]
var DfIRS=XHJwv[4]
var pDhcb=""
var LuTqb="wa-menu-item-div wa-sub-item-menu"
if(aZtbW)
{
LuTqb+=" param[index_sub_menu("+ClGwM+")]"
}
xpQZw+="<div class='"+LuTqb+"' style='position:absolute;overflow:auto;left:0px;"
xpQZw+="'>"
var XoKpY="position:relative;"+ggQnL.sub_style_text
if(ggQnL.sub_text_u)
{
XoKpY+="text-decoration:underline;"
}
else
{
XoKpY+="text-decoration:none;"
}
var iJEDh=false;
if(CArrW.length==0)
{
CArrW="javascript:void(0)" 
}
else
{
iJEDh=true;
}
xpQZw+="<a href=\""+CArrW+"\" ";
if(DfIRS!=undefined)
{
xpQZw+="onclick=waLaunchFunction("+DfIRS+") ";
iJEDh=true;
}
if(iJEDh)
{
XoKpY+="cursor:pointer;"
}
else
{
XoKpY+="cursor:default;"
}
xpQZw+="style=\""+XoKpY
xpQZw+="\" target=\""+JhaoX+"\">"
xpQZw+=BBkxp
if(aZtbW)
{
xpQZw+=" <b>&rsaquo;</b>"
}
else
{
}
xpQZw+="</a>"
xpQZw+="</div>"
}

if(aZtbW)
{
var vwnxp=pvgLP[1]
sKFhB(FFPOm,ggQnL,EiZHZ,false,vwnxp)
}
}
xpQZw+="</div>"
FRrQR.append(xpQZw)
}
function QTHFi(FFPOm,ggQnL,EiZHZ,ClGwM,EDnSL)
{
if(ClGwM==null)
{
ClGwM=FFPOm.data("id-menu")
}
FFPOm.hover(function(){
qThQl(waJSQuery(this),ggQnL)
},function(){
oohqX(waJSQuery(this),ggQnL)
}) 
var OkRqp=0;
var KhCLh=0;
var ZNjZp=3;
if(EDnSL!=undefined)
{
var HiKkV=waJSQuery("#wa-sub-menu-"+EiZHZ+"-"+ClGwM);
FFPOm.data("obj-menu",HiKkV)
if(HiKkV.length>0)
{
HiKkV.data("menu-item-parent",FFPOm)
}
var caMqh=new Array()
HiKkV.find(".wa-sub-item-menu").each(function(i)
{
caMqh.push(waJSQuery(this))
});
for(var i=0;i<EDnSL.length;i++)
{
var pvgLP=EDnSL[i]
if(pvgLP.length>0)
{
var XHJwv=pvgLP[0] 
var BBkxp=XHJwv[0]
var IRpSf=caMqh[i]
var aXOjt=IRpSf.outerWidth(true)*1.2
var uIUfU=IRpSf.outerHeight(true)*1.5
var DsAkW=uIUfU+4
var lEiUJ=DsAkW*0.5
lEiUJ=Math.max(lEiUJ,3)
var pjgvs=aXOjt+5+lEiUJ;

var ChMKo=(DsAkW-IRpSf.height())/2
IRpSf.css({top:ZNjZp,width:pjgvs,height:DsAkW})
var AHjBr=IRpSf.find("a")
AHjBr.css({top:ChMKo})
OkRqp=Math.max(OkRqp,pjgvs)
KhCLh+=DsAkW
ZNjZp+=DsAkW;
if(ggQnL.sub_align_text=="center")
{
AHjBr.css({"marginLeft":0,"marginRight":0})
}
else
if(ggQnL.sub_align_text=="right")
{
AHjBr.css({"marginLeft":0,"marginRight":lEiUJ}) 
}
else
{
AHjBr.css({"marginLeft":lEiUJ,"marginRight":0}) 
}
if(pvgLP.length>1)
{
var vwnxp=pvgLP[1]
var ClGwM=extractParamInfo(IRpSf,"index_sub_menu")
QTHFi(IRpSf,ggQnL,EiZHZ,ClGwM,vwnxp)
}
else
{
imXfh(IRpSf,EiZHZ,ggQnL)
}
}
}
for(var i=0;i<EDnSL.length;i++)
{
var pvgLP=EDnSL[i]
if(pvgLP.length>0)
{
var IRpSf=caMqh[i];
IRpSf.css({"width":OkRqp})
}
}
var gKYTT=ggQnL.sub_corner
HiKkV.css({"-webkit-border-radius":gKYTT,"-moz-border-radius":gKYTT,"border-radius":gKYTT})
HiKkV.css({width:OkRqp,height:KhCLh})
HiKkV.hide()
}
}
function imXfh(FFPOm,ggQnL,EiZHZ)
{
FFPOm.hover(function(){
qThQl(waJSQuery(this))
},function(){
oohqX(waJSQuery(this))
})
}1

-->
